#ifndef TARGETWIN_H
#define TARGETWIN_H


#include "RMWin.h"

class TargetWin : public RMWin
{
public:
	TargetWin();
	BOOL CreateScene();
protected:
	//{{AFX_MSG(TargetWin)
	afx_msg void OnRenderWireframe();
	afx_msg void OnRenderFlat();
	afx_msg void OnRenderGouraud();
	afx_msg void OnUpdateRenderFlat(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderGouraud(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderWireframe(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	LPDIRECT3DRMMESHBUILDER meshbuilder;
    LPDIRECT3DRMMESHBUILDER targetbuilder;
    static void OrientFrame(LPDIRECT3DRMFRAME frame, void*, D3DVALUE);
    static void MoveTarget(LPDIRECT3DRMFRAME frame, void*, D3DVALUE);
};


#endif
